# Digital Credentials Provisioning API - Issuer Hosted Endpoints

This includes services hosted by issuers for the Digital Credentials Provisioning API.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- [View Open API Specification](https://developers.google.com/static/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/specs/open-api-spec.json)

### Service endpoint

- `https://example.issuer.com/api`

| Methods ||
|---|---|
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/cancelProofing` | `POST /v1/vdc/cancelProofing` An endpoint to cancel a proofing. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/getCredentialStatus` | `POST /v1/vdc/getCredentialStatus` An endpoint to retrieve the current status of a credential. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/getDeviceRegistrationNonce` | `POST /v1/vdc/getDeviceRegistrationNonce` An endpoint to request a device registration nonce. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/getHybridEncryptionKey` | `POST /v1/vdc/getHybridEncryptionKey` An endpoint to retrieve the issuer's hybrid encryption key. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/getIdentityKey` | `POST /v1/vdc/getIdentityKey` An endpoint to retrieve the issuer's identity key. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/getProofingStatus` | `POST /v1/vdc/getProofingStatus` An endpoint to retrieve the current status of a proofing. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/healthCheck` | `POST /v1/vdc/healthCheck` An endpoint used to test connectivity issues. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/notifyCredentialDeleted` | `POST /v1/vdc/notifyCredentialDeleted` An endpoint to notify the issuer of a credential being deleted. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/proofUser` | `POST /v1/vdc/proofUser` An endpoint to proof a user for a digital credential, using an issuer specified list of evidences, and for a specific device. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/provisionCredential` | `POST /v1/vdc/provisionCredential` An endpoint to provision a credential. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/provisionMobileSecurityObjects` | `POST /v1/vdc/provisionMobileSecurityObjects` An endpoint to provision a credential. |
| `https://developers.google.com/wallet/identity/provisioning/api-reference/issuer-hosted/rest/v1/vdc/registerDevice` | `POST /v1/vdc/registerDevice` An endpoint to register a device with the issuer. |